it-swarm.com.de

(Eclipse SDK-Aktualisierungsfehler) Beim Sammeln der zu installierenden Elemente tritt ein Fehler auf

Ich habe gerade ADK aktualisiert und ich habe genau das gleiche Problem (dieselbe Version des Upgrades) wie dieser Typ festgestellt ( ADT kann nicht von 22.3.0. Auf 22.6.1 aktualisiert werden, es wurden keine Updates gefunden )

Ich folgte ihren Kommentaren, aber ich habe den in Schritt 4 erwähnten Dialog nicht gesehen (4. Sie sollten einen Dialog sehen, der besagt, dass "diese Software bereits installiert ist, stattdessen ein Update durchgeführt wird"). Wenn Sie auf "OK" klicken, wird 22.6.1 angezeigt Eingerichtet.)

Stattdessen habe ich die Fehlermeldung mit dem Titel 

Problem ist aufgetreten

Es sagt 

Bei der Installation der Software ist ein Problem aufgetreten. Beim Sammeln der zu installierenden Elemente Ist ein Fehler aufgetreten

Und es folgt ein großer Teil von Details, die ich nicht verstehe (siehe unten). Könnte jemand helfen? Vielen Dank

Beim Sammeln der zu installierenden Elemente für die Sitzung Trat ein Fehler auf: (Profil = Profil, Phase = org.Eclipse.equinox.internal.p2.engine.phases.phases.Collect, operand =, action =). Kein Repository gefunden, das Folgendes enthält: Osgi.bundle, com.Android.ide.Eclipse.adt, 22.6.2.v201403212031-1085508 Kein Repository gefunden, das Folgendes enthält: Osgi.bundle, com.Android.ide.Eclipse.adt.package, 22.6.2.v201403212031-1085508 Kein Repository gefunden, der Folgendes enthält: osgi.bundle, com.Android.ide.Eclipse.base, 22.6. 2.v201403212031-1085508 Kein Repository gefunden, das Folgendes enthält: Osgi.bundle, com.Android.ide.Eclipse.ddms, 22.6.2.v201403212031-1085508 Kein Repository gefunden : osgi.bundle, com.Android.ide.Eclipse.gldebugger, 22.6.2.v201403212031-1085508 Kein Repository gefunden, das Folgendes enthält: osgi.bundle, com.Android. ide.Eclipse.hierarchyviewer, 22.6.2.v201403212031-1085508 Kein Repository gefunden, das Folgendes enthält: osgi.bundle, com.Android.ide.Eclipse.traceview, 22.6.2.v201403212031-1085508 Kein Repository gefunden, das Folgendes enthält: Osgi.bundle, overlay.com.Android.ide.Eclipse.adt.overlay, 22.6.2.v201403212031-1085508 Es wurde kein Repository gefunden, das Folgendes enthält: Org.Eclipse.update.feature, com.Android.ide.Eclipse.adt, 22.6.2.v201403212031-1085508 Kein Repository gefunden, das Folgendes enthält: ] org.Eclipse.update.feature, com.Android.ide.Eclipse.ddms, 22.6.2.v201403212031-1085508 Kein Repository gefunden mit: org.Eclipse.update.feature, com .Android.ide.Eclipse.gldebugger, 22.6.2.v201403212031-1085508 Kein Repository gefunden, das Folgendes enthält: Org.Eclipse.update.feature, com.Android.ide.Eclipse.hierarchyviewer, 22.6 .2.v201403212031-1085508 Es wurde kein Repository gefunden, das Folgendes enthält: Org.Eclipse.update.feature, com.Android.ide.Eclipse.traceview, 22.6.2.v201403212031-1085508

10
Derekyy

Laut jonesws Link https://stackoverflow.com/a/14896322/621481 müssen Sie nur sicherstellen, dass Sie auf dem Bildschirm der Eclipse-Installationssoftware die Option "Alle Aktualisierungsseiten während der Installation kontaktieren" aktiviert haben .

28
Chris Noldus

Ich hatte kürzlich ein sehr ähnliches Problem. Und die Antwort von @ChrisNoldus hat für mich nicht funktioniert. Allerdings habe ich diesen Link gefunden:

Grundsätzlich scheint es ein Problem zu geben, wenn eine verfügbare Aktualisierungssite kein abschließendes "/" in ihrem Link enthält.

Ich musste nichts in eine Datei exportieren, sondern änderte einfach die Konfigurationen in Fenster-> Einstellungen-> Installieren/Aktualisieren-> Verfügbare Software-Sites

0
J.Makela

Ich bin vor kurzem auf das gleiche Problem gestoßen und die markierte Antwort hat bei mir nicht funktioniert. Ich hatte alle möglichen Lösungen ausprobiert, um diesen Fehler zu beheben. Schließlich fand ich 2 Arbeitsbereiche von Eclipse unter C:\Users\Public\Documents (Neon, Mars). Löschen Sie einfach den Ordner, den Sie nicht möchten (Nehmen Sie an, Sie arbeiten an Neon, löschen Sie dann den anderen Ordner Mars) und versuchen Sie, das Update zu installieren.

0
akash karothiya